# Unit Tests

Unit testing means testing individual units of code for their expected behaviour. Here we simulate every possible scenario of functions and ensure they behave as expected.&#x20;

### Smart tests within minutes

Testing all classes and functions increases code quality and better stability but is a time consuming task when done manually.

Welltested AI allows you to cut this time and easily generate smart and exhaustive unit tests for your entire codebase within minutes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.welltested.ai/v1/welltested-ai/unit-tests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
